'use strict';

// meteor/packages/accounts-google/google.js
// 1c9eacaeb882f9f7b70a4a1e8b7e8d4cf7bd9161

var _require = require('../../../server/next-plus'),
    addServerModule = _require.addServerModule;

addServerModule('defaultAccountsGoogleModule', {
  startup: function startup() {
    if (!this.getServiceConfig('google')) {
      this.debug('Service config \'google\' not found. accounts-google module not loaded.');
      return;
    }

    this.accounts.oauth.registerService('google');
  }
});