"use strict";

module.exports = function (instance) {
  instance.registerFragment("\n    fragment CurrentUser on User {\n      _id\n      username\n      createdAt\n      isAdmin\n      groups\n      services\n      profile\n      emails\n      displayName\n    }\n  ");

  instance.registerQuery("\n    query currentUser {\n      currentUser {\n        ...CurrentUser\n      }\n    }\n  ");

  instance.registerQuery("\n    query getUserFromToken {\n      getUserFromToken {\n        ...CurrentUser\n      }\n    }\n  ");
};