'use strict';

var _require = require('../../../app/next-plus'),
    addAppModule = _require.addAppModule;

var _require2 = require('../../utils'),
    isServer = _require2.isServer;

var _require3 = require('./oauth_client'),
    OAuthClient = _require3.OAuthClient;

require('./oauth_browser');

addAppModule('defaultOAuthModule', {
  setup: function setup() {
    if (isServer) {
      this.debug('Browser only module. oauth module not loaded.');
      return;
    }

    if (this.accounts._initialized) return;

    var app = this;
    app.oauth = new OAuthClient(app);
  }
});