'use strict';

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// meteor/packages/oauth2/oauth2_server.js
// 2fd00e58ba651c58b5705ce462c6e018e5249119

var _require = require('../../utils'),
    Random = _require.Random;

var _require2 = require('../../../server/next-plus'),
    addServerModule = _require2.addServerModule;

addServerModule('defaultOAuth2Module', {
  startup: function startup() {
    var oauth = this.oauth;
    oauth._requestHandlers['2'] = function () {
      var _ref = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee(service, query, res) {
        var oauthResult, credentialSecret, credentialToken;
        return _regenerator2.default.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                if (query.error) {
                  _context.next = 8;
                  break;
                }

                _context.next = 3;
                return service.handleOauthRequest(query);

              case 3:
                oauthResult = _context.sent;
                credentialSecret = Random.secret();
                credentialToken = oauth._credentialTokenFromQuery(query);
                _context.next = 8;
                return oauth._storePendingCredential(credentialToken, {
                  serviceName: service.serviceName,
                  serviceData: oauthResult.serviceData,
                  options: oauthResult.options
                }, credentialSecret);

              case 8:

                oauth._renderOauthResults(res, query, credentialSecret);

              case 9:
              case 'end':
                return _context.stop();
            }
          }
        }, _callee, this);
      }));

      return function (_x, _x2, _x3) {
        return _ref.apply(this, arguments);
      };
    }();
  }
});