'use strict';

var _require = require('../../app/next-plus'),
    addAppModule = _require.addAppModule;

addAppModule('defaultComponentsModule', {
  setup: function setup() {
    this.components = {};

    this.getComponents = getComponents.bind(this);
    this.getComponent = getComponent.bind(this);
  }
});

var getComponents = function getComponents() {
  return this.components;
};

var getComponent = function getComponent(componentName) {
  var components = this.getComponents();
  return components[componentName];
};