'use strict';

// meteor/packages/meteor/string_utils.js
// 3790e0987b7dbfbe7ecd070462d16f1e3bf6c901

// Like Perl's quotemeta: quotes all regexp metacharacters.
// Code taken from
// https://developer.mozilla.org/en-US/docs/Web/JavaScript/Guide/Regular_Expressions
var escapeRegExp = function escapeRegExp(string) {
  return String(string).replace(/[.*+?^${}()|[\]\\]/g, '\\$&');
};

module.exports = {
  escapeRegExp: escapeRegExp
};