'use strict';

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var common = require('./common');

var getComponentDisplayName = function getComponentDisplayName(Component) {
  return Component.displayName || Component.name || 'Unknown';
};

var utils = (0, _extends3.default)({}, common, {
  Error: common.AppError

}, require('./base64'), require('./callback-hook'), require('./random'), require('./tracker'), require('./sha'), require('./ejson'), require('./check'), require('./id-map'), require('./localstorage'), require('./mongo-id'), require('./reactive-var'), {

  getComponentDisplayName: getComponentDisplayName
});

module.exports = utils;