'use strict';

// meteor/packages/mongo/connection_options.js
// 1472a41a16c41b727ccb29be5958e09d0557145d

var _require = require('../check'),
    check = _require.check;

var _require2 = require('./namespace'),
    Mongo = _require2.Mongo;

/**
 * @summary Allows for user specified connection options
 * @example http://mongodb.github.io/node-mongodb-native/2.2/reference/connecting/connection-settings/
 * @locus Server
 * @param {Object} options User specified Mongo connection options
 */


Mongo.setConnectionOptions = function setConnectionOptions(options) {
  check(options, Object);
  Mongo._connectionOptions = options;
};